﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace serviceLayer.Security.SecurityServiceReference {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="RolData", Namespace="http://schemas.datacontract.org/2004/07/serviceLayer.SIF_DataContracts")]
    [System.SerializableAttribute()]
    public partial class RolData : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool ActivoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string AppCreacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string AppModificacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string DescripcionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime FechaCreacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<System.DateTime> FechaModificacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MaqCreacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MaqModificacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombreField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string UserCreacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string UserModificacionField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool Activo {
            get {
                return this.ActivoField;
            }
            set {
                if ((this.ActivoField.Equals(value) != true)) {
                    this.ActivoField = value;
                    this.RaisePropertyChanged("Activo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string AppCreacion {
            get {
                return this.AppCreacionField;
            }
            set {
                if ((object.ReferenceEquals(this.AppCreacionField, value) != true)) {
                    this.AppCreacionField = value;
                    this.RaisePropertyChanged("AppCreacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string AppModificacion {
            get {
                return this.AppModificacionField;
            }
            set {
                if ((object.ReferenceEquals(this.AppModificacionField, value) != true)) {
                    this.AppModificacionField = value;
                    this.RaisePropertyChanged("AppModificacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Descripcion {
            get {
                return this.DescripcionField;
            }
            set {
                if ((object.ReferenceEquals(this.DescripcionField, value) != true)) {
                    this.DescripcionField = value;
                    this.RaisePropertyChanged("Descripcion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime FechaCreacion {
            get {
                return this.FechaCreacionField;
            }
            set {
                if ((this.FechaCreacionField.Equals(value) != true)) {
                    this.FechaCreacionField = value;
                    this.RaisePropertyChanged("FechaCreacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<System.DateTime> FechaModificacion {
            get {
                return this.FechaModificacionField;
            }
            set {
                if ((this.FechaModificacionField.Equals(value) != true)) {
                    this.FechaModificacionField = value;
                    this.RaisePropertyChanged("FechaModificacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Id {
            get {
                return this.IdField;
            }
            set {
                if ((this.IdField.Equals(value) != true)) {
                    this.IdField = value;
                    this.RaisePropertyChanged("Id");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MaqCreacion {
            get {
                return this.MaqCreacionField;
            }
            set {
                if ((object.ReferenceEquals(this.MaqCreacionField, value) != true)) {
                    this.MaqCreacionField = value;
                    this.RaisePropertyChanged("MaqCreacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MaqModificacion {
            get {
                return this.MaqModificacionField;
            }
            set {
                if ((object.ReferenceEquals(this.MaqModificacionField, value) != true)) {
                    this.MaqModificacionField = value;
                    this.RaisePropertyChanged("MaqModificacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Nombre {
            get {
                return this.NombreField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreField, value) != true)) {
                    this.NombreField = value;
                    this.RaisePropertyChanged("Nombre");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string UserCreacion {
            get {
                return this.UserCreacionField;
            }
            set {
                if ((object.ReferenceEquals(this.UserCreacionField, value) != true)) {
                    this.UserCreacionField = value;
                    this.RaisePropertyChanged("UserCreacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string UserModificacion {
            get {
                return this.UserModificacionField;
            }
            set {
                if ((object.ReferenceEquals(this.UserModificacionField, value) != true)) {
                    this.UserModificacionField = value;
                    this.RaisePropertyChanged("UserModificacion");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="GeneralMessageOfboolean", Namespace="http://schemas.datacontract.org/2004/07/serviceLayer.SIF_DataContracts")]
    [System.SerializableAttribute()]
    public partial class GeneralMessageOfboolean : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private long CodeResponseField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool DataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool IsErrorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MessageResponseField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public long CodeResponse {
            get {
                return this.CodeResponseField;
            }
            set {
                if ((this.CodeResponseField.Equals(value) != true)) {
                    this.CodeResponseField = value;
                    this.RaisePropertyChanged("CodeResponse");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool Data {
            get {
                return this.DataField;
            }
            set {
                if ((this.DataField.Equals(value) != true)) {
                    this.DataField = value;
                    this.RaisePropertyChanged("Data");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool IsError {
            get {
                return this.IsErrorField;
            }
            set {
                if ((this.IsErrorField.Equals(value) != true)) {
                    this.IsErrorField = value;
                    this.RaisePropertyChanged("IsError");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MessageResponse {
            get {
                return this.MessageResponseField;
            }
            set {
                if ((object.ReferenceEquals(this.MessageResponseField, value) != true)) {
                    this.MessageResponseField = value;
                    this.RaisePropertyChanged("MessageResponse");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="GeneralMessageOfArrayOfRolDatanqvBR1WM", Namespace="http://schemas.datacontract.org/2004/07/serviceLayer.SIF_DataContracts")]
    [System.SerializableAttribute()]
    public partial class GeneralMessageOfArrayOfRolDatanqvBR1WM : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private long CodeResponseField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private serviceLayer.Security.SecurityServiceReference.RolData[] DataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool IsErrorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MessageResponseField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public long CodeResponse {
            get {
                return this.CodeResponseField;
            }
            set {
                if ((this.CodeResponseField.Equals(value) != true)) {
                    this.CodeResponseField = value;
                    this.RaisePropertyChanged("CodeResponse");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public serviceLayer.Security.SecurityServiceReference.RolData[] Data {
            get {
                return this.DataField;
            }
            set {
                if ((object.ReferenceEquals(this.DataField, value) != true)) {
                    this.DataField = value;
                    this.RaisePropertyChanged("Data");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool IsError {
            get {
                return this.IsErrorField;
            }
            set {
                if ((this.IsErrorField.Equals(value) != true)) {
                    this.IsErrorField = value;
                    this.RaisePropertyChanged("IsError");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MessageResponse {
            get {
                return this.MessageResponseField;
            }
            set {
                if ((object.ReferenceEquals(this.MessageResponseField, value) != true)) {
                    this.MessageResponseField = value;
                    this.RaisePropertyChanged("MessageResponse");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM", Namespace="http://schemas.datacontract.org/2004/07/serviceLayer.SIF_DataContracts")]
    [System.SerializableAttribute()]
    public partial class GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private long CodeResponseField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private serviceLayer.Security.SecurityServiceReference.PrivilegioData[] DataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool IsErrorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MessageResponseField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public long CodeResponse {
            get {
                return this.CodeResponseField;
            }
            set {
                if ((this.CodeResponseField.Equals(value) != true)) {
                    this.CodeResponseField = value;
                    this.RaisePropertyChanged("CodeResponse");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public serviceLayer.Security.SecurityServiceReference.PrivilegioData[] Data {
            get {
                return this.DataField;
            }
            set {
                if ((object.ReferenceEquals(this.DataField, value) != true)) {
                    this.DataField = value;
                    this.RaisePropertyChanged("Data");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool IsError {
            get {
                return this.IsErrorField;
            }
            set {
                if ((this.IsErrorField.Equals(value) != true)) {
                    this.IsErrorField = value;
                    this.RaisePropertyChanged("IsError");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MessageResponse {
            get {
                return this.MessageResponseField;
            }
            set {
                if ((object.ReferenceEquals(this.MessageResponseField, value) != true)) {
                    this.MessageResponseField = value;
                    this.RaisePropertyChanged("MessageResponse");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="PrivilegioData", Namespace="http://schemas.datacontract.org/2004/07/serviceLayer.SIF_DataContracts")]
    [System.SerializableAttribute()]
    public partial class PrivilegioData : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string CodigoInternoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string CodigoTagField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool EsPadreField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombreField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int PadreIdField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string CodigoInterno {
            get {
                return this.CodigoInternoField;
            }
            set {
                if ((object.ReferenceEquals(this.CodigoInternoField, value) != true)) {
                    this.CodigoInternoField = value;
                    this.RaisePropertyChanged("CodigoInterno");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string CodigoTag {
            get {
                return this.CodigoTagField;
            }
            set {
                if ((object.ReferenceEquals(this.CodigoTagField, value) != true)) {
                    this.CodigoTagField = value;
                    this.RaisePropertyChanged("CodigoTag");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool EsPadre {
            get {
                return this.EsPadreField;
            }
            set {
                if ((this.EsPadreField.Equals(value) != true)) {
                    this.EsPadreField = value;
                    this.RaisePropertyChanged("EsPadre");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Id {
            get {
                return this.IdField;
            }
            set {
                if ((this.IdField.Equals(value) != true)) {
                    this.IdField = value;
                    this.RaisePropertyChanged("Id");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Nombre {
            get {
                return this.NombreField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreField, value) != true)) {
                    this.NombreField = value;
                    this.RaisePropertyChanged("Nombre");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int PadreId {
            get {
                return this.PadreIdField;
            }
            set {
                if ((this.PadreIdField.Equals(value) != true)) {
                    this.PadreIdField = value;
                    this.RaisePropertyChanged("PadreId");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="GeneralMessageOfPrivilegioDatanqvBR1WM", Namespace="http://schemas.datacontract.org/2004/07/serviceLayer.SIF_DataContracts")]
    [System.SerializableAttribute()]
    public partial class GeneralMessageOfPrivilegioDatanqvBR1WM : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private long CodeResponseField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private serviceLayer.Security.SecurityServiceReference.PrivilegioData DataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool IsErrorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MessageResponseField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public long CodeResponse {
            get {
                return this.CodeResponseField;
            }
            set {
                if ((this.CodeResponseField.Equals(value) != true)) {
                    this.CodeResponseField = value;
                    this.RaisePropertyChanged("CodeResponse");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public serviceLayer.Security.SecurityServiceReference.PrivilegioData Data {
            get {
                return this.DataField;
            }
            set {
                if ((object.ReferenceEquals(this.DataField, value) != true)) {
                    this.DataField = value;
                    this.RaisePropertyChanged("Data");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool IsError {
            get {
                return this.IsErrorField;
            }
            set {
                if ((this.IsErrorField.Equals(value) != true)) {
                    this.IsErrorField = value;
                    this.RaisePropertyChanged("IsError");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MessageResponse {
            get {
                return this.MessageResponseField;
            }
            set {
                if ((object.ReferenceEquals(this.MessageResponseField, value) != true)) {
                    this.MessageResponseField = value;
                    this.RaisePropertyChanged("MessageResponse");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="UsuarioData", Namespace="http://schemas.datacontract.org/2004/07/serviceLayer.SIF_DataContracts")]
    [System.SerializableAttribute()]
    public partial class UsuarioData : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool ActivoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string AppCreacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string AppModificacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool BloqueadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ContraseñaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string CorreoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime FechaCreacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<System.DateTime> FechaModificacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MaqCreacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MaqModificacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombreCompletoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string UserCreacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string UserModificacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string UsuarioLoginField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool Activo {
            get {
                return this.ActivoField;
            }
            set {
                if ((this.ActivoField.Equals(value) != true)) {
                    this.ActivoField = value;
                    this.RaisePropertyChanged("Activo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string AppCreacion {
            get {
                return this.AppCreacionField;
            }
            set {
                if ((object.ReferenceEquals(this.AppCreacionField, value) != true)) {
                    this.AppCreacionField = value;
                    this.RaisePropertyChanged("AppCreacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string AppModificacion {
            get {
                return this.AppModificacionField;
            }
            set {
                if ((object.ReferenceEquals(this.AppModificacionField, value) != true)) {
                    this.AppModificacionField = value;
                    this.RaisePropertyChanged("AppModificacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool Bloqueado {
            get {
                return this.BloqueadoField;
            }
            set {
                if ((this.BloqueadoField.Equals(value) != true)) {
                    this.BloqueadoField = value;
                    this.RaisePropertyChanged("Bloqueado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Contraseña {
            get {
                return this.ContraseñaField;
            }
            set {
                if ((object.ReferenceEquals(this.ContraseñaField, value) != true)) {
                    this.ContraseñaField = value;
                    this.RaisePropertyChanged("Contraseña");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Correo {
            get {
                return this.CorreoField;
            }
            set {
                if ((object.ReferenceEquals(this.CorreoField, value) != true)) {
                    this.CorreoField = value;
                    this.RaisePropertyChanged("Correo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime FechaCreacion {
            get {
                return this.FechaCreacionField;
            }
            set {
                if ((this.FechaCreacionField.Equals(value) != true)) {
                    this.FechaCreacionField = value;
                    this.RaisePropertyChanged("FechaCreacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<System.DateTime> FechaModificacion {
            get {
                return this.FechaModificacionField;
            }
            set {
                if ((this.FechaModificacionField.Equals(value) != true)) {
                    this.FechaModificacionField = value;
                    this.RaisePropertyChanged("FechaModificacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Id {
            get {
                return this.IdField;
            }
            set {
                if ((this.IdField.Equals(value) != true)) {
                    this.IdField = value;
                    this.RaisePropertyChanged("Id");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MaqCreacion {
            get {
                return this.MaqCreacionField;
            }
            set {
                if ((object.ReferenceEquals(this.MaqCreacionField, value) != true)) {
                    this.MaqCreacionField = value;
                    this.RaisePropertyChanged("MaqCreacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MaqModificacion {
            get {
                return this.MaqModificacionField;
            }
            set {
                if ((object.ReferenceEquals(this.MaqModificacionField, value) != true)) {
                    this.MaqModificacionField = value;
                    this.RaisePropertyChanged("MaqModificacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string NombreCompleto {
            get {
                return this.NombreCompletoField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreCompletoField, value) != true)) {
                    this.NombreCompletoField = value;
                    this.RaisePropertyChanged("NombreCompleto");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string UserCreacion {
            get {
                return this.UserCreacionField;
            }
            set {
                if ((object.ReferenceEquals(this.UserCreacionField, value) != true)) {
                    this.UserCreacionField = value;
                    this.RaisePropertyChanged("UserCreacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string UserModificacion {
            get {
                return this.UserModificacionField;
            }
            set {
                if ((object.ReferenceEquals(this.UserModificacionField, value) != true)) {
                    this.UserModificacionField = value;
                    this.RaisePropertyChanged("UserModificacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string UsuarioLogin {
            get {
                return this.UsuarioLoginField;
            }
            set {
                if ((object.ReferenceEquals(this.UsuarioLoginField, value) != true)) {
                    this.UsuarioLoginField = value;
                    this.RaisePropertyChanged("UsuarioLogin");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="GeneralMessageOfArrayOfUsuarioDatanqvBR1WM", Namespace="http://schemas.datacontract.org/2004/07/serviceLayer.SIF_DataContracts")]
    [System.SerializableAttribute()]
    public partial class GeneralMessageOfArrayOfUsuarioDatanqvBR1WM : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private long CodeResponseField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private serviceLayer.Security.SecurityServiceReference.UsuarioData[] DataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool IsErrorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MessageResponseField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public long CodeResponse {
            get {
                return this.CodeResponseField;
            }
            set {
                if ((this.CodeResponseField.Equals(value) != true)) {
                    this.CodeResponseField = value;
                    this.RaisePropertyChanged("CodeResponse");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public serviceLayer.Security.SecurityServiceReference.UsuarioData[] Data {
            get {
                return this.DataField;
            }
            set {
                if ((object.ReferenceEquals(this.DataField, value) != true)) {
                    this.DataField = value;
                    this.RaisePropertyChanged("Data");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool IsError {
            get {
                return this.IsErrorField;
            }
            set {
                if ((this.IsErrorField.Equals(value) != true)) {
                    this.IsErrorField = value;
                    this.RaisePropertyChanged("IsError");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MessageResponse {
            get {
                return this.MessageResponseField;
            }
            set {
                if ((object.ReferenceEquals(this.MessageResponseField, value) != true)) {
                    this.MessageResponseField = value;
                    this.RaisePropertyChanged("MessageResponse");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM", Namespace="http://schemas.datacontract.org/2004/07/serviceLayer.SIF_DataContracts")]
    [System.SerializableAttribute()]
    public partial class GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private long CodeResponseField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private serviceLayer.Security.SecurityServiceReference.UsuarioRolData[] DataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool IsErrorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MessageResponseField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public long CodeResponse {
            get {
                return this.CodeResponseField;
            }
            set {
                if ((this.CodeResponseField.Equals(value) != true)) {
                    this.CodeResponseField = value;
                    this.RaisePropertyChanged("CodeResponse");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public serviceLayer.Security.SecurityServiceReference.UsuarioRolData[] Data {
            get {
                return this.DataField;
            }
            set {
                if ((object.ReferenceEquals(this.DataField, value) != true)) {
                    this.DataField = value;
                    this.RaisePropertyChanged("Data");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool IsError {
            get {
                return this.IsErrorField;
            }
            set {
                if ((this.IsErrorField.Equals(value) != true)) {
                    this.IsErrorField = value;
                    this.RaisePropertyChanged("IsError");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MessageResponse {
            get {
                return this.MessageResponseField;
            }
            set {
                if ((object.ReferenceEquals(this.MessageResponseField, value) != true)) {
                    this.MessageResponseField = value;
                    this.RaisePropertyChanged("MessageResponse");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="UsuarioRolData", Namespace="http://schemas.datacontract.org/2004/07/serviceLayer.SIF_DataContracts")]
    [System.SerializableAttribute()]
    public partial class UsuarioRolData : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string DescripcionRolField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string LoginUsuarioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombreRolField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombreUsuarioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int RolIdField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int UsuarioIdField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string DescripcionRol {
            get {
                return this.DescripcionRolField;
            }
            set {
                if ((object.ReferenceEquals(this.DescripcionRolField, value) != true)) {
                    this.DescripcionRolField = value;
                    this.RaisePropertyChanged("DescripcionRol");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Id {
            get {
                return this.IdField;
            }
            set {
                if ((this.IdField.Equals(value) != true)) {
                    this.IdField = value;
                    this.RaisePropertyChanged("Id");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string LoginUsuario {
            get {
                return this.LoginUsuarioField;
            }
            set {
                if ((object.ReferenceEquals(this.LoginUsuarioField, value) != true)) {
                    this.LoginUsuarioField = value;
                    this.RaisePropertyChanged("LoginUsuario");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string NombreRol {
            get {
                return this.NombreRolField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreRolField, value) != true)) {
                    this.NombreRolField = value;
                    this.RaisePropertyChanged("NombreRol");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string NombreUsuario {
            get {
                return this.NombreUsuarioField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreUsuarioField, value) != true)) {
                    this.NombreUsuarioField = value;
                    this.RaisePropertyChanged("NombreUsuario");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int RolId {
            get {
                return this.RolIdField;
            }
            set {
                if ((this.RolIdField.Equals(value) != true)) {
                    this.RolIdField = value;
                    this.RaisePropertyChanged("RolId");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int UsuarioId {
            get {
                return this.UsuarioIdField;
            }
            set {
                if ((this.UsuarioIdField.Equals(value) != true)) {
                    this.UsuarioIdField = value;
                    this.RaisePropertyChanged("UsuarioId");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="GeneralMessageOfUsuarioDatanqvBR1WM", Namespace="http://schemas.datacontract.org/2004/07/serviceLayer.SIF_DataContracts")]
    [System.SerializableAttribute()]
    public partial class GeneralMessageOfUsuarioDatanqvBR1WM : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private long CodeResponseField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private serviceLayer.Security.SecurityServiceReference.UsuarioData DataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool IsErrorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MessageResponseField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public long CodeResponse {
            get {
                return this.CodeResponseField;
            }
            set {
                if ((this.CodeResponseField.Equals(value) != true)) {
                    this.CodeResponseField = value;
                    this.RaisePropertyChanged("CodeResponse");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public serviceLayer.Security.SecurityServiceReference.UsuarioData Data {
            get {
                return this.DataField;
            }
            set {
                if ((object.ReferenceEquals(this.DataField, value) != true)) {
                    this.DataField = value;
                    this.RaisePropertyChanged("Data");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool IsError {
            get {
                return this.IsErrorField;
            }
            set {
                if ((this.IsErrorField.Equals(value) != true)) {
                    this.IsErrorField = value;
                    this.RaisePropertyChanged("IsError");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MessageResponse {
            get {
                return this.MessageResponseField;
            }
            set {
                if ((object.ReferenceEquals(this.MessageResponseField, value) != true)) {
                    this.MessageResponseField = value;
                    this.RaisePropertyChanged("MessageResponse");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="SecurityServiceReference.ISecurity")]
    public interface ISecurity {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/AddRol", ReplyAction="http://tempuri.org/ISecurity/AddRolResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean AddRol(serviceLayer.Security.SecurityServiceReference.RolData rol);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/AddRol", ReplyAction="http://tempuri.org/ISecurity/AddRolResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> AddRolAsync(serviceLayer.Security.SecurityServiceReference.RolData rol);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/UpdateRol", ReplyAction="http://tempuri.org/ISecurity/UpdateRolResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean UpdateRol(serviceLayer.Security.SecurityServiceReference.RolData rol);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/UpdateRol", ReplyAction="http://tempuri.org/ISecurity/UpdateRolResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> UpdateRolAsync(serviceLayer.Security.SecurityServiceReference.RolData rol);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/RemoveRol", ReplyAction="http://tempuri.org/ISecurity/RemoveRolResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean RemoveRol(serviceLayer.Security.SecurityServiceReference.RolData rol);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/RemoveRol", ReplyAction="http://tempuri.org/ISecurity/RemoveRolResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> RemoveRolAsync(serviceLayer.Security.SecurityServiceReference.RolData rol);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetAllRol", ReplyAction="http://tempuri.org/ISecurity/GetAllRolResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfRolDatanqvBR1WM GetAllRol(serviceLayer.Security.SecurityServiceReference.RolData rol);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetAllRol", ReplyAction="http://tempuri.org/ISecurity/GetAllRolResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfRolDatanqvBR1WM> GetAllRolAsync(serviceLayer.Security.SecurityServiceReference.RolData rol);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/AddPrivilegioRol", ReplyAction="http://tempuri.org/ISecurity/AddPrivilegioRolResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean AddPrivilegioRol(int privilegioId, int rolId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/AddPrivilegioRol", ReplyAction="http://tempuri.org/ISecurity/AddPrivilegioRolResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> AddPrivilegioRolAsync(int privilegioId, int rolId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/RemovePrivilegioRol", ReplyAction="http://tempuri.org/ISecurity/RemovePrivilegioRolResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean RemovePrivilegioRol(int privilegioId, int rolId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/RemovePrivilegioRol", ReplyAction="http://tempuri.org/ISecurity/RemovePrivilegioRolResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> RemovePrivilegioRolAsync(int privilegioId, int rolId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetPrivilegioAsignado", ReplyAction="http://tempuri.org/ISecurity/GetPrivilegioAsignadoResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM GetPrivilegioAsignado(int privilegioId, int rolId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetPrivilegioAsignado", ReplyAction="http://tempuri.org/ISecurity/GetPrivilegioAsignadoResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM> GetPrivilegioAsignadoAsync(int privilegioId, int rolId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetPrivilegioNoAsignado", ReplyAction="http://tempuri.org/ISecurity/GetPrivilegioNoAsignadoResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM GetPrivilegioNoAsignado(int privilegioId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetPrivilegioNoAsignado", ReplyAction="http://tempuri.org/ISecurity/GetPrivilegioNoAsignadoResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM> GetPrivilegioNoAsignadoAsync(int privilegioId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetRolPrivilegioValidacion", ReplyAction="http://tempuri.org/ISecurity/GetRolPrivilegioValidacionResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfPrivilegioDatanqvBR1WM GetRolPrivilegioValidacion(int privilegioId, int rolId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetRolPrivilegioValidacion", ReplyAction="http://tempuri.org/ISecurity/GetRolPrivilegioValidacionResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfPrivilegioDatanqvBR1WM> GetRolPrivilegioValidacionAsync(int privilegioId, int rolId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/AddUsuario", ReplyAction="http://tempuri.org/ISecurity/AddUsuarioResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean AddUsuario(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/AddUsuario", ReplyAction="http://tempuri.org/ISecurity/AddUsuarioResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> AddUsuarioAsync(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/UpdateUsuario", ReplyAction="http://tempuri.org/ISecurity/UpdateUsuarioResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean UpdateUsuario(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/UpdateUsuario", ReplyAction="http://tempuri.org/ISecurity/UpdateUsuarioResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> UpdateUsuarioAsync(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/RemoveUsuario", ReplyAction="http://tempuri.org/ISecurity/RemoveUsuarioResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean RemoveUsuario(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/RemoveUsuario", ReplyAction="http://tempuri.org/ISecurity/RemoveUsuarioResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> RemoveUsuarioAsync(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetAllUsuario", ReplyAction="http://tempuri.org/ISecurity/GetAllUsuarioResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioDatanqvBR1WM GetAllUsuario(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetAllUsuario", ReplyAction="http://tempuri.org/ISecurity/GetAllUsuarioResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioDatanqvBR1WM> GetAllUsuarioAsync(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/AddUsuarioRol", ReplyAction="http://tempuri.org/ISecurity/AddUsuarioRolResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean AddUsuarioRol(int usuarioId, int rolId, int id, string operacion);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/AddUsuarioRol", ReplyAction="http://tempuri.org/ISecurity/AddUsuarioRolResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> AddUsuarioRolAsync(int usuarioId, int rolId, int id, string operacion);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/RemoveUsuarioRol", ReplyAction="http://tempuri.org/ISecurity/RemoveUsuarioRolResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean RemoveUsuarioRol(int usuarioId, int rolId, int id, string operacion);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/RemoveUsuarioRol", ReplyAction="http://tempuri.org/ISecurity/RemoveUsuarioRolResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> RemoveUsuarioRolAsync(int usuarioId, int rolId, int id, string operacion);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetAllUsuarioRol", ReplyAction="http://tempuri.org/ISecurity/GetAllUsuarioRolResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM GetAllUsuarioRol(int usuarioId, int rolId, int id, string operacion);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetAllUsuarioRol", ReplyAction="http://tempuri.org/ISecurity/GetAllUsuarioRolResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM> GetAllUsuarioRolAsync(int usuarioId, int rolId, int id, string operacion);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetAllUsuarioRol_NoRol", ReplyAction="http://tempuri.org/ISecurity/GetAllUsuarioRol_NoRolResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM GetAllUsuarioRol_NoRol(int usuarioId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetAllUsuarioRol_NoRol", ReplyAction="http://tempuri.org/ISecurity/GetAllUsuarioRol_NoRolResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM> GetAllUsuarioRol_NoRolAsync(int usuarioId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetAllUsuarioRol_NoUsuario", ReplyAction="http://tempuri.org/ISecurity/GetAllUsuarioRol_NoUsuarioResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM GetAllUsuarioRol_NoUsuario(int rolId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetAllUsuarioRol_NoUsuario", ReplyAction="http://tempuri.org/ISecurity/GetAllUsuarioRol_NoUsuarioResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM> GetAllUsuarioRol_NoUsuarioAsync(int rolId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/AutenticarUsuario", ReplyAction="http://tempuri.org/ISecurity/AutenticarUsuarioResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfUsuarioDatanqvBR1WM AutenticarUsuario(string usuarioLogin, string contraseña);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/AutenticarUsuario", ReplyAction="http://tempuri.org/ISecurity/AutenticarUsuarioResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfUsuarioDatanqvBR1WM> AutenticarUsuarioAsync(string usuarioLogin, string contraseña);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetPrivilegioUsuario", ReplyAction="http://tempuri.org/ISecurity/GetPrivilegioUsuarioResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM GetPrivilegioUsuario(int rolId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetPrivilegioUsuario", ReplyAction="http://tempuri.org/ISecurity/GetPrivilegioUsuarioResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM> GetPrivilegioUsuarioAsync(int rolId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetPrivilegioAccion", ReplyAction="http://tempuri.org/ISecurity/GetPrivilegioAccionResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM GetPrivilegioAccion(int idUsuario, string codigoTag);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetPrivilegioAccion", ReplyAction="http://tempuri.org/ISecurity/GetPrivilegioAccionResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM> GetPrivilegioAccionAsync(int idUsuario, string codigoTag);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetPrivilegioHijos", ReplyAction="http://tempuri.org/ISecurity/GetPrivilegioHijosResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM GetPrivilegioHijos(int padreId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/GetPrivilegioHijos", ReplyAction="http://tempuri.org/ISecurity/GetPrivilegioHijosResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM> GetPrivilegioHijosAsync(int padreId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/AddPrivilegio", ReplyAction="http://tempuri.org/ISecurity/AddPrivilegioResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean AddPrivilegio(serviceLayer.Security.SecurityServiceReference.PrivilegioData privilegio);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/AddPrivilegio", ReplyAction="http://tempuri.org/ISecurity/AddPrivilegioResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> AddPrivilegioAsync(serviceLayer.Security.SecurityServiceReference.PrivilegioData privilegio);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/RemovePrivilegio", ReplyAction="http://tempuri.org/ISecurity/RemovePrivilegioResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean RemovePrivilegio(serviceLayer.Security.SecurityServiceReference.PrivilegioData privilegio);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/RemovePrivilegio", ReplyAction="http://tempuri.org/ISecurity/RemovePrivilegioResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> RemovePrivilegioAsync(serviceLayer.Security.SecurityServiceReference.PrivilegioData privilegio);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/UpdatePrivilegio", ReplyAction="http://tempuri.org/ISecurity/UpdatePrivilegioResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean UpdatePrivilegio(serviceLayer.Security.SecurityServiceReference.PrivilegioData privilegio);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/UpdatePrivilegio", ReplyAction="http://tempuri.org/ISecurity/UpdatePrivilegioResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> UpdatePrivilegioAsync(serviceLayer.Security.SecurityServiceReference.PrivilegioData privilegio);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/CopyPrivilegios_FromRol", ReplyAction="http://tempuri.org/ISecurity/CopyPrivilegios_FromRolResponse")]
        serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean CopyPrivilegios_FromRol(int RolIdCopy, int RolIdPaste);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISecurity/CopyPrivilegios_FromRol", ReplyAction="http://tempuri.org/ISecurity/CopyPrivilegios_FromRolResponse")]
        System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> CopyPrivilegios_FromRolAsync(int RolIdCopy, int RolIdPaste);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface ISecurityChannel : serviceLayer.Security.SecurityServiceReference.ISecurity, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class SecurityClient : System.ServiceModel.ClientBase<serviceLayer.Security.SecurityServiceReference.ISecurity>, serviceLayer.Security.SecurityServiceReference.ISecurity {
        
        public SecurityClient() {
        }
        
        public SecurityClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public SecurityClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public SecurityClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public SecurityClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean AddRol(serviceLayer.Security.SecurityServiceReference.RolData rol) {
            return base.Channel.AddRol(rol);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> AddRolAsync(serviceLayer.Security.SecurityServiceReference.RolData rol) {
            return base.Channel.AddRolAsync(rol);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean UpdateRol(serviceLayer.Security.SecurityServiceReference.RolData rol) {
            return base.Channel.UpdateRol(rol);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> UpdateRolAsync(serviceLayer.Security.SecurityServiceReference.RolData rol) {
            return base.Channel.UpdateRolAsync(rol);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean RemoveRol(serviceLayer.Security.SecurityServiceReference.RolData rol) {
            return base.Channel.RemoveRol(rol);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> RemoveRolAsync(serviceLayer.Security.SecurityServiceReference.RolData rol) {
            return base.Channel.RemoveRolAsync(rol);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfRolDatanqvBR1WM GetAllRol(serviceLayer.Security.SecurityServiceReference.RolData rol) {
            return base.Channel.GetAllRol(rol);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfRolDatanqvBR1WM> GetAllRolAsync(serviceLayer.Security.SecurityServiceReference.RolData rol) {
            return base.Channel.GetAllRolAsync(rol);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean AddPrivilegioRol(int privilegioId, int rolId) {
            return base.Channel.AddPrivilegioRol(privilegioId, rolId);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> AddPrivilegioRolAsync(int privilegioId, int rolId) {
            return base.Channel.AddPrivilegioRolAsync(privilegioId, rolId);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean RemovePrivilegioRol(int privilegioId, int rolId) {
            return base.Channel.RemovePrivilegioRol(privilegioId, rolId);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> RemovePrivilegioRolAsync(int privilegioId, int rolId) {
            return base.Channel.RemovePrivilegioRolAsync(privilegioId, rolId);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM GetPrivilegioAsignado(int privilegioId, int rolId) {
            return base.Channel.GetPrivilegioAsignado(privilegioId, rolId);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM> GetPrivilegioAsignadoAsync(int privilegioId, int rolId) {
            return base.Channel.GetPrivilegioAsignadoAsync(privilegioId, rolId);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM GetPrivilegioNoAsignado(int privilegioId) {
            return base.Channel.GetPrivilegioNoAsignado(privilegioId);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM> GetPrivilegioNoAsignadoAsync(int privilegioId) {
            return base.Channel.GetPrivilegioNoAsignadoAsync(privilegioId);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfPrivilegioDatanqvBR1WM GetRolPrivilegioValidacion(int privilegioId, int rolId) {
            return base.Channel.GetRolPrivilegioValidacion(privilegioId, rolId);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfPrivilegioDatanqvBR1WM> GetRolPrivilegioValidacionAsync(int privilegioId, int rolId) {
            return base.Channel.GetRolPrivilegioValidacionAsync(privilegioId, rolId);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean AddUsuario(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario) {
            return base.Channel.AddUsuario(usuario);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> AddUsuarioAsync(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario) {
            return base.Channel.AddUsuarioAsync(usuario);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean UpdateUsuario(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario) {
            return base.Channel.UpdateUsuario(usuario);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> UpdateUsuarioAsync(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario) {
            return base.Channel.UpdateUsuarioAsync(usuario);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean RemoveUsuario(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario) {
            return base.Channel.RemoveUsuario(usuario);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> RemoveUsuarioAsync(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario) {
            return base.Channel.RemoveUsuarioAsync(usuario);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioDatanqvBR1WM GetAllUsuario(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario) {
            return base.Channel.GetAllUsuario(usuario);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioDatanqvBR1WM> GetAllUsuarioAsync(serviceLayer.Security.SecurityServiceReference.UsuarioData usuario) {
            return base.Channel.GetAllUsuarioAsync(usuario);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean AddUsuarioRol(int usuarioId, int rolId, int id, string operacion) {
            return base.Channel.AddUsuarioRol(usuarioId, rolId, id, operacion);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> AddUsuarioRolAsync(int usuarioId, int rolId, int id, string operacion) {
            return base.Channel.AddUsuarioRolAsync(usuarioId, rolId, id, operacion);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean RemoveUsuarioRol(int usuarioId, int rolId, int id, string operacion) {
            return base.Channel.RemoveUsuarioRol(usuarioId, rolId, id, operacion);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> RemoveUsuarioRolAsync(int usuarioId, int rolId, int id, string operacion) {
            return base.Channel.RemoveUsuarioRolAsync(usuarioId, rolId, id, operacion);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM GetAllUsuarioRol(int usuarioId, int rolId, int id, string operacion) {
            return base.Channel.GetAllUsuarioRol(usuarioId, rolId, id, operacion);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM> GetAllUsuarioRolAsync(int usuarioId, int rolId, int id, string operacion) {
            return base.Channel.GetAllUsuarioRolAsync(usuarioId, rolId, id, operacion);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM GetAllUsuarioRol_NoRol(int usuarioId) {
            return base.Channel.GetAllUsuarioRol_NoRol(usuarioId);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM> GetAllUsuarioRol_NoRolAsync(int usuarioId) {
            return base.Channel.GetAllUsuarioRol_NoRolAsync(usuarioId);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM GetAllUsuarioRol_NoUsuario(int rolId) {
            return base.Channel.GetAllUsuarioRol_NoUsuario(rolId);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfUsuarioRolDatanqvBR1WM> GetAllUsuarioRol_NoUsuarioAsync(int rolId) {
            return base.Channel.GetAllUsuarioRol_NoUsuarioAsync(rolId);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfUsuarioDatanqvBR1WM AutenticarUsuario(string usuarioLogin, string contraseña) {
            return base.Channel.AutenticarUsuario(usuarioLogin, contraseña);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfUsuarioDatanqvBR1WM> AutenticarUsuarioAsync(string usuarioLogin, string contraseña) {
            return base.Channel.AutenticarUsuarioAsync(usuarioLogin, contraseña);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM GetPrivilegioUsuario(int rolId) {
            return base.Channel.GetPrivilegioUsuario(rolId);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM> GetPrivilegioUsuarioAsync(int rolId) {
            return base.Channel.GetPrivilegioUsuarioAsync(rolId);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM GetPrivilegioAccion(int idUsuario, string codigoTag) {
            return base.Channel.GetPrivilegioAccion(idUsuario, codigoTag);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM> GetPrivilegioAccionAsync(int idUsuario, string codigoTag) {
            return base.Channel.GetPrivilegioAccionAsync(idUsuario, codigoTag);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM GetPrivilegioHijos(int padreId) {
            return base.Channel.GetPrivilegioHijos(padreId);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfArrayOfPrivilegioDatanqvBR1WM> GetPrivilegioHijosAsync(int padreId) {
            return base.Channel.GetPrivilegioHijosAsync(padreId);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean AddPrivilegio(serviceLayer.Security.SecurityServiceReference.PrivilegioData privilegio) {
            return base.Channel.AddPrivilegio(privilegio);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> AddPrivilegioAsync(serviceLayer.Security.SecurityServiceReference.PrivilegioData privilegio) {
            return base.Channel.AddPrivilegioAsync(privilegio);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean RemovePrivilegio(serviceLayer.Security.SecurityServiceReference.PrivilegioData privilegio) {
            return base.Channel.RemovePrivilegio(privilegio);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> RemovePrivilegioAsync(serviceLayer.Security.SecurityServiceReference.PrivilegioData privilegio) {
            return base.Channel.RemovePrivilegioAsync(privilegio);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean UpdatePrivilegio(serviceLayer.Security.SecurityServiceReference.PrivilegioData privilegio) {
            return base.Channel.UpdatePrivilegio(privilegio);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> UpdatePrivilegioAsync(serviceLayer.Security.SecurityServiceReference.PrivilegioData privilegio) {
            return base.Channel.UpdatePrivilegioAsync(privilegio);
        }
        
        public serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean CopyPrivilegios_FromRol(int RolIdCopy, int RolIdPaste) {
            return base.Channel.CopyPrivilegios_FromRol(RolIdCopy, RolIdPaste);
        }
        
        public System.Threading.Tasks.Task<serviceLayer.Security.SecurityServiceReference.GeneralMessageOfboolean> CopyPrivilegios_FromRolAsync(int RolIdCopy, int RolIdPaste) {
            return base.Channel.CopyPrivilegios_FromRolAsync(RolIdCopy, RolIdPaste);
        }
    }
}
